//Source file: CallNotificationReportScope.java
//Date: December 2004
//Multi Party Call Control Data Types for 3GPP TS 29.198-04-3 V5.9.0

package org.csapi.jr.se.cc;

/**
 * Defines the Sequence of Data Elements that specify the scope for which a notification report was sent.
 * 
 */
public final class CallNotificationReportScope implements java.io.Serializable {

    private org.csapi.jr.se.Address destinationAddress;
    private org.csapi.jr.se.Address originatingAddress;

    /**
     * Creates a new CallNotificationReportScope instance.
     */
    public CallNotificationReportScope () {}

    /**
     * Creates a new CallNotificationReportScope instance.
     * @param _destinationAddress   Contains the destination address of the call.
     * @param _originatingAddress   Contains the origination address of the call
     */
    public CallNotificationReportScope (org.csapi.jr.se.Address _destinationAddress, org.csapi.jr.se.Address _originatingAddress) {

        this.destinationAddress = _destinationAddress;
        this.originatingAddress = _originatingAddress;
    }

    /**
     * This method returns a destinationAddress.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getDestinationAddress() {
        return destinationAddress;
    }

    /**
     * This method returns a originatingAddress.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getOriginatingAddress() {
        return originatingAddress;
    }


    /**
     * This method sets a destinationAddress.
     */ 
    public void setDestinationAddress(org.csapi.jr.se.Address destinationAddress) {
        this.destinationAddress = destinationAddress;
    }

    /**
     * This method sets a originatingAddress.
     */ 
    public void setOriginatingAddress(org.csapi.jr.se.Address originatingAddress) {
        this.originatingAddress = originatingAddress;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof CallNotificationReportScope)) {
            return false;
        } 
        CallNotificationReportScope callNotificationReportScope = (CallNotificationReportScope) o;
        if ((this.destinationAddress != null) && (callNotificationReportScope.destinationAddress != null)) {
            if(!(this.destinationAddress.equals(callNotificationReportScope.destinationAddress))) {
                return false;
            }
        }
        if ((this.originatingAddress != null) && (callNotificationReportScope.originatingAddress != null)) {
            if(!(this.originatingAddress.equals(callNotificationReportScope.originatingAddress))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // CallNotificationReportScope

