//Source file: CallLegEndedEvent.java
//Date: December 2004
//Multi Party Call Control Interfaces for 3GPP TS 29.198-04-3 V5.9.0

package org.csapi.jr.se.cc.mpccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the callLegEnded() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class CallLegEndedEvent extends java.util.EventObject {

    /**
     * Constructor for the CallLegEndedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public CallLegEndedEvent(java.lang.Object source,
        org.csapi.jr.se.cc.ReleaseCause cause) {

        super(source);
      this.cause = cause;
 
    }

    org.csapi.jr.se.cc.ReleaseCause cause;

    /**
     *  This method is used to retrieve the parameter value of 'cause' passed up
     *  from the Gateway in it's call to the callLegEnded() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'cause' used on creation of this event.
     */
    public org.csapi.jr.se.cc.ReleaseCause getCause() {

        return this.cause;
    }
       
}

