//Source file: CreateAndRouteCallLegErrEvent.java
//Date: December 2004
//Multi Party Call Control Interfaces for 3GPP TS 29.198-04-3 V5.9.0

package org.csapi.jr.se.cc.mpccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the createAndRouteCallLegErr() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class CreateAndRouteCallLegErrEvent extends java.util.EventObject {

    /**
     * Constructor for the CreateAndRouteCallLegErrEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public CreateAndRouteCallLegErrEvent(java.lang.Object source,
        org.csapi.jr.se.cc.mpccs.CallLeg interfaceRef,
        org.csapi.jr.se.cc.CallError errorIndication) {

        super(source);
        this.callLeg = interfaceRef;
      this.errorIndication = errorIndication;
 
    }

    org.csapi.jr.se.cc.mpccs.CallLeg callLeg = null;

    /**
     *  This method is used to retrieve the CallLeg, associated with this event.
     *
     * @return    The CallLeg associated with this event.<BR>
     *
     */
    public org.csapi.jr.se.cc.mpccs.CallLeg getCallLeg() {

        return this.callLeg;
    }

    org.csapi.jr.se.cc.CallError errorIndication;

    /**
     *  This method is used to retrieve the parameter value of 'errorIndication' passed up
     *  from the Gateway in it's call to the createAndRouteCallLegErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'errorIndication' used on creation of this event.
     */
    public org.csapi.jr.se.cc.CallError getErrorIndication() {

        return this.errorIndication;
    }
       
}

