//Source file: DetachMediaErrEvent.java
//Date: December 2004
//Multi Party Call Control Interfaces for 3GPP TS 29.198-04-3 V5.9.0

package org.csapi.jr.se.cc.mpccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the detachMediaErr() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class DetachMediaErrEvent extends java.util.EventObject {

    /**
     * Constructor for the DetachMediaErrEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public DetachMediaErrEvent(java.lang.Object source,
        org.csapi.jr.se.cc.CallError errorIndication) {

        super(source);
      this.errorIndication = errorIndication;
 
    }

    org.csapi.jr.se.cc.CallError errorIndication;

    /**
     *  This method is used to retrieve the parameter value of 'errorIndication' passed up
     *  from the Gateway in it's call to the detachMediaErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'errorIndication' used on creation of this event.
     */
    public org.csapi.jr.se.cc.CallError getErrorIndication() {

        return this.errorIndication;
    }
       
}

