//Source file: ReportNotificationEvent.java
//Date: December 2004
//Multi Party Call Control Interfaces for 3GPP TS 29.198-04-3 V5.9.0

package org.csapi.jr.se.cc.mpccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the reportNotification() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class ReportNotificationEvent extends java.util.EventObject {

    /**
     * Constructor for the ReportNotificationEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ReportNotificationEvent(java.lang.Object source,
        org.csapi.jr.se.cc.mpccs.MultiPartyCall interfaceRef,
        org.csapi.jr.se.cc.mpccs.CallLeg[] callLegReferenceSet,
        org.csapi.jr.se.cc.CallNotificationInfo notificationInfo) {

        super(source);
        this.multiPartyCall = interfaceRef;
      this.callLegReferenceSet = callLegReferenceSet;
      this.notificationInfo = notificationInfo;
 
    }

    org.csapi.jr.se.cc.mpccs.MultiPartyCall multiPartyCall = null;

    /**
     *  This method is used to retrieve the MultiPartyCall, associated with this event.
     *
     * @return    The MultiPartyCall associated with this event.<BR>
     *
     */
    public org.csapi.jr.se.cc.mpccs.MultiPartyCall getMultiPartyCall() {

        return this.multiPartyCall;
    }

    org.csapi.jr.se.cc.mpccs.CallLeg[] callLegReferenceSet;

    /**
     *  This method is used to retrieve the parameter value of 'callLegReferenceSet' passed up
     *  from the Gateway in it's call to the reportNotification() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'callLegReferenceSet' used on creation of this event.
     */
    public org.csapi.jr.se.cc.mpccs.CallLeg[] getCallLegReferenceSet() {

        return this.callLegReferenceSet;
    }
       
    org.csapi.jr.se.cc.CallNotificationInfo notificationInfo;

    /**
     *  This method is used to retrieve the parameter value of 'notificationInfo' passed up
     *  from the Gateway in it's call to the reportNotification() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'notificationInfo' used on creation of this event.
     */
    public org.csapi.jr.se.cc.CallNotificationInfo getNotificationInfo() {

        return this.notificationInfo;
    }
       
}

